function rotate_min, model, flux, fmin=fmin

compile_opt idl2

nr = 300
dm = 3.0 / nr
ff = fltarr( nr+1 )

fmm = flux - median( flux )
mmm = model - median( model )

slp = 0.0
for k = 0, nr do begin

    slp += dm
    ff[k] = median( abs( fmm - slp * mmm ) )

endfor
;print, 100000*ff, format='(21f7.3)'

fmin = min( ff, at )

return, at * dm
end


